# Hooks into the rest of Puppet Dashboard
Registry.add_callback :core, :head_extensions, "500_baseline" do |renderer|
  renderer.render 'shared/head'
end

Registry.add_callback :core, :global_nav_widgets, "500_baseline" do |renderer|
  renderer.render 'shared/nav_widgets'
end

Registry.add_callback :core, :node_group_view_widgets, "500_baseline" do |renderer, group|
  renderer.instance_eval do
    date = params[:date].present? ? Date.parse(params[:date]) : Time.zone.now.to_date
    node_ids = group.nodes.map(&:id)

    @report_url = url_for(:controller => :group_report, :action => :common)
    @summary_data = BaselineUtil.summary_for_day(date, node_ids)
    @unreviewed_changes_on_other_days = BaselineUtil.unreviewed_changes_on_other_days(date, node_ids)
    @other_days = BaselineUtil.date_changer_options(date, node_ids)

    render 'node_group/summary', :date => date, :summary_data => @summary_data
  end
end

Registry.add_callback :core, :node_view_widgets, "500_baseline" do |view_renderer, node|
  view_renderer.instance_eval do
    date = params[:date].present? ? Date.parse(params[:date]) : Time.zone.now.to_date
    nb = NodeBaseline.self_comparisons.find_by_node_id_and_date(node.id, date)

    @unreviewed_changes_on_other_days = BaselineUtil.unreviewed_changes_on_other_days(date, node.id)
    @other_days = BaselineUtil.date_changer_options(date, node.id)

    render 'node/summary', :node_baseline => nb, :date => date
  end
end
